/***************************************************************************
 *                                                                         *
 *     QUEST FOR MAGIC Version 3.0                                         *
 *                                                                         *
 *     Copyright (C) 1986-1992 GALACTICOMM, Inc.    All Rights Reserved.   *
 *                                                                         *
 ***************************************************************************
 * GALACTICOMM Software License Agreement                                  *
 *                                                                         *
 * GALACTICOMM, Inc., grants you a fully paid, perpetual, worldwide,       *
 * non-exclusive license to use, transfer, share, modify, delete, and      *
 * incorporate this Software into products copyrighted, patented,          *
 * subject to trade secret or other intellectual protection rights         *
 * asserted by you.                                                        *
 *                                                                         *
 * This Software is provided "as is", without warranty of any kind,        *
 * either expressed or implied, including, but not limited to, the implied *
 * warranties of merchantability and fitness for a particular purpose.     *
 *                                                                         *
 * This license is effective as LONG as this declaration is preserved in   *
 * its entirety in this Software and any copies or derivatives.            *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 *     QMITEMS.C                                                           *
 *     Quest for Magic Array of Items                                      *
 *                                                                         *
 *     By - Scott Brinker and Tim Stryker      11/21/86                    *
 *                                                                         *
 **************************************************************************/

#include "gcomm.h"
#include "majorbbs.h"
#include "galqm.h"
#include "qm.h"


struct item qmitems[]={

     {"ring",                               /*  Item 000                  */
     ITM001,                                 /*  Ring of Truth             */
     coloring,
     nulrou,
     nulrou,
     PICKUP+RUBABL},

     {"ring",                               /*  Item 001                  */
     ITM002,                                 /*  Ring of Invisibility      */
     ringin,
     nulrou,
     nulrou,
     PICKUP+RUBABL},

     {"amulet",                             /*  Item 002                  */
     ITM003,
     nulrou,
     nulrou,
     amltlp,
     PICKUP+THKABL+USEAN},


     {"wand",                               /*  Item 003                  */
     ITM004,
     nulrou,
     aimwan,
     nulrou,
     PICKUP+AIMABL},

     {"orb",                                /*  Item 004                  */
     ITM005,
     teleorb,
     nulrou,
     nulrou,
     PICKUP+RUBABL+USEAN},

     {"sceptre",                            /*  Item 005                  */
     ITM006,
     nulrou,
     nulrou,
     nulrou,
     PICKUP},

     {"emerald",                            /*  Item 006                  */
     ITM007,
     nulrou,
     nulrou,
     nulrou,
     PICKUP+USEAN},

     {"amulet",                             /*  Item 007                  */
     ITM008,
     nulrou,
     nulrou,
     amltip,
     PICKUP+THKABL+USEAN},

     {"necklace",                           /*  Item 008                  */
     ITM009,
     prytele,
     nulrou,
     nulrou,
     PICKUP+RUBABL},

     {"crystal",                            /*  Item 009                  */
     ITM010,
     nulrou,
     nulrou,
     nulrou,
     PICKUP},

     {"ruby",                               /*  Item 010                  */
     ITM011,
     nulrou,
     nulrou,
     nulrou,
     PICKUP},

     {"medallion",                          /*  Item 011                  */
     ITM012,
     nulrou,
     nulrou,
     medall,
     PICKUP+THKABL},

     {"locket",                             /*  Item 012                  */
     ITM013,
     nulrou,
     nulrou,
     locket,
     PICKUP+THKABL},

     {"diamond",                            /*  Item 013                  */
     ITM014,
     nulrou,
     nulrou,
     nulrou,
     PICKUP},

     {"amethyst",                           /*  Item 014                  */
     ITM015,
     nulrou,
     nulrou,
     nulrou,
     PICKUP+USEAN},

     {"sapphire",                           /*  Item 015                  */
     ITM016,
     nulrou,
     nulrou,
     nulrou,
     PICKUP},

     {"moonstone",                          /*  Item 016                  */
     ITM020,
     nulrou,
     nulrou,
     nulrou,
     PICKUP},

     {"staff",                              /*  Item 017                  */
     ITM019,
     rubstf,
     nulrou,
     thkstf,
     PICKUP+THKABL+RUBABL},

     {"pendant",                            /*  Item 018                  */
     ITM018,
     nulrou,
     nulrou,
     penden,
     PICKUP+THKABL},

     {"charm",                              /*  Item 019                  */
     ITM021,
     charm,
     nulrou,
     nulrou,
     PICKUP+RUBABL},

     {"scroll",                             /*  Item 020                  */
     ITM017,
     nulrou,
     nulrou,
     nulrou,
     PICKUP},

     {"staff",                              /*  Item 021                  */
     ITM099,
     nulrou,
     nulrou,
     nulrou,
     PICKUP+THKABL+RUBABL},

     {"rod",                                /*  Item 022                  */
     ITM090,
     rodrub,
     nulrou,
     thkrod,
     PICKUP+THKABL+RUBABL},

     {"triangle",                           /*  Item 023                  */
     ITM092,
     nulrou,
     nulrou,
     nulrou,
     PICKUP}

};


