/***************************************************************************
 *                                                                         *
 *     QUEST FOR MAGIC Version 3.0                                         *
 *                                                                         *
 *     Copyright (C) 1986-1992 GALACTICOMM, Inc.    All Rights Reserved.   *
 *                                                                         *
 ***************************************************************************
 * GALACTICOMM Software License Agreement                                  *
 *                                                                         *
 * GALACTICOMM, Inc., grants you a fully paid, perpetual, worldwide,       *
 * non-exclusive license to use, transfer, share, modify, delete, and      *
 * incorporate this Software into products copyrighted, patented,          *
 * subject to trade secret or other intellectual protection rights         *
 * asserted by you.                                                        *
 *                                                                         *
 * This Software is provided "as is", without warranty of any kind,        *
 * either expressed or implied, including, but not limited to, the implied *
 * warranties of merchantability and fitness for a particular purpose.     *
 *                                                                         *
 * This license is effective as LONG as this declaration is preserved in   *
 * its entirety in this Software and any copies or derivatives.            *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 *     SIMPCMDS.C                                                          *
 *     Quest for Magic Player Simple Commands                              *
 *                                                                         *
 *     By - Tim Stryker and Scott Brinker      11/21/86                    *
 *                                                                         *
 ***************************************************************************/

#include "gcomm.h"
#include "majorbbs.h"
#include "qm.h"
#include "galqm.h"

VOID
approu(VOID)
{
     prfmsg(QMSIM100,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM101);
     outprf(usrnum);
}

VOID
gigrou(VOID)
{
     prfmsg(QMSIM102,playpt->altid);
     outothr();
     prfmsg(QMSIM103);
     outprf(usrnum);
}

VOID
jmprou(VOID)
{
     prfmsg(QMSIM104,playpt->altid);
     outothr();
     prfmsg(QMSIM105);
     outprf(usrnum);
}

VOID
lghrou(VOID)
{
     prfmsg(QMSIM106,playpt->altid);
     outothr();
     prfmsg(QMSIM107);
     outprf(usrnum);
}

VOID
shgrou(VOID)
{
     prfmsg(QMSIM108,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM109);
     outprf(usrnum);
}

VOID
lierou(VOID)
{
     prfmsg(QMSIM110,playpt->altid);
     outothr();
     prfmsg(QMSIM111);
     outprf(usrnum);
}

VOID
wherou(VOID)
{
     prfmsg(QMSIM112,playpt->altid);
     outothr();
     prfmsg(QMSIM113);
     outprf(usrnum);
}

VOID
sitrou(VOID)
{
     prfmsg(QMSIM114,playpt->altid);
     outothr();
     prfmsg(QMSIM115);
     outprf(usrnum);
}

VOID
grvrou(VOID)
{
     prfmsg(QMSIM116,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM117);
     outprf(usrnum);
}

VOID
snrrou(VOID)
{
     prfmsg(QMSIM118,playpt->altid);
     outothr();
     prfmsg(QMSIM119);
     outprf(usrnum);
}

VOID
cacrou(VOID)
{
     prfmsg(QMSIM120,playpt->altid);
     outothr();
     prfmsg(QMSIM121);
     outprf(usrnum);
}

VOID
swerou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM122,playpt->altid,playpt->hisher);
          outothr();
          prfmsg(QMSIM123);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
chorou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM124,playpt->altid);
          outothr();
          prfmsg(QMSIM125);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
begrou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM126,playpt->altid);
          outothr();
          prfmsg(QMSIM127);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
chrrou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM128,playpt->altid);
          outothr();
          prfmsg(QMSIM129);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
blurou(VOID)
{
     prfmsg(QMSIM130,playpt->altid);
     outothr();
     prfmsg(QMSIM131);
     outprf(usrnum);
}

VOID
gasrou(VOID)
{
     prfmsg(QMSIM132,playpt->altid);
     outothr();
     prfmsg(QMSIM133);
     outprf(usrnum);
}

VOID
cowrou(VOID)
{
     prfmsg(QMSIM134,playpt->altid);
     outothr();
     prfmsg(QMSIM135);
     outprf(usrnum);
}

VOID
bowrou(VOID)
{
     prfmsg(QMSIM136,playpt->altid);
     outothr();
     prfmsg(QMSIM137);
     outprf(usrnum);
}

VOID
smkrou(VOID)
{
     prfmsg(QMSIM138,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM139);
     outprf(usrnum);
}

VOID
chvrou(VOID)
{
     prfmsg(QMSIM140,playpt->altid);
     outothr();
     prfmsg(QMSIM141);
     outprf(usrnum);
}

VOID
boorou(VOID)
{
     prfmsg(QMSIM142,playpt->altid);
     outothr();
     prfmsg(QMSIM143);
     outprf(usrnum);
}

VOID
hisrou(VOID)
{
     prfmsg(QMSIM144,playpt->altid);
     outothr();
     prfmsg(QMSIM145);
     outprf(usrnum);
}

VOID
frnrou(VOID)
{
     prfmsg(QMSIM146,playpt->altid);
     outothr();
     prfmsg(QMSIM147);
     outprf(usrnum);
}

VOID
snlrou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM148,playpt->altid);
          outothr();
          prfmsg(QMSIM149);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
potrou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM150,playpt->altid);
          outothr();
          prfmsg(QMSIM151);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
grwrou(VOID)
{
     prfmsg(QMSIM152,playpt->altid);
     outothr();
     prfmsg(QMSIM153);
     outprf(usrnum);
}

VOID
grurou(VOID)
{
     prfmsg(QMSIM154,playpt->altid);
     outothr();
     prfmsg(QMSIM155);
     outprf(usrnum);
}

VOID
smlrou(VOID)
{
     prfmsg(QMSIM156,playpt->altid);
     outothr();
     prfmsg(QMSIM157);
     outprf(usrnum);
}

VOID
grnrou(VOID)
{
     prfmsg(QMSIM158,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM159);
     outprf(usrnum);
}

VOID
danrou(VOID)
{
     prfmsg(QMSIM160,playpt->altid);
     outothr();
     prfmsg(QMSIM161);
     outprf(usrnum);
}

VOID
sihrou(VOID)
{
     prfmsg(QMSIM162,playpt->altid);
     outothr();
     prfmsg(QMSIM163);
     outprf(usrnum);
}

VOID
sinrou(VOID)
{
     prfmsg(QMSIM164,playpt->altid);
     outothr();
     prfmsg(QMSIM165);
     outprf(usrnum);
}

VOID
snzrou(VOID)
{
     prfmsg(QMSIM166,playpt->altid);
     outothr();
     prfmsg(QMSIM167);
     outprf(usrnum);
}

VOID
whmrou(VOID)
{
     prfmsg(QMSIM168,playpt->altid);
     outothr();
     prfmsg(QMSIM169);
     outprf(usrnum);
}

VOID
smorou(VOID)
{
     prfmsg(QMSIM170,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM171);
     outprf(usrnum);
}

VOID
spirou(VOID)
{
     prfmsg(QMSIM172,playpt->altid);
     outothr();
     prfmsg(QMSIM173);
     outprf(usrnum);
}

VOID
snkrou(VOID)
{
     prfmsg(QMSIM174,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM175);
     outprf(usrnum);
}

VOID
gonrou(VOID)
{
     prfmsg(QMSIM176,playpt->altid);
     outothr();
     prfmsg(QMSIM177);
     outprf(usrnum);
}

VOID
monrou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM178,playpt->altid);
          outothr();
          prfmsg(QMSIM179);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
burrou(VOID)
{
     prfmsg(QMSIM180,playpt->altid);
     outothr();
     prfmsg(QMSIM181);
     outprf(usrnum);
}

VOID
farrou(VOID)
{
     prfmsg(QMSIM182,playpt->altid);
     outothr();
     prfmsg(QMSI1832);
     outprf(usrnum);
}

VOID
yawrou(VOID)
{
     prfmsg(QMSIM184,playpt->altid);
     outothr();
     prfmsg(QMSIM185);
     outprf(usrnum);
}

VOID
redeye(VOID)
{
     prfmsg(QMSIM186,playpt->altid);
     outothr();
     prfmsg(QMSIM187);
     outprf(usrnum);
}

VOID
nodrou(VOID)
{
     prfmsg(QMSIM188,playpt->altid);
     outothr();
     prfmsg(QMSIM189);
     outprf(usrnum);
}

VOID
fixrou(VOID)
{
     prfmsg(QMSIM190,playpt->altid);
     outothr();
     prfmsg(QMSIM191);
     outprf(usrnum);
}

VOID
gamrou(VOID)
{
     prfmsg(QMSIM192,playpt->altid);
     outothr();
     prfmsg(QMSIM193);
     outprf(usrnum);
}

VOID
trdrou(VOID)
{
     prfmsg(QMSIM194,playpt->altid);
     outothr();
     prfmsg(QMSIM195);
     outprf(usrnum);
}

VOID
clnrou(VOID)
{
     prfmsg(QMSIM196,playpt->altid);
     outothr();
     prfmsg(QMSIM197);
     outprf(usrnum);
}

VOID
prarou(VOID)
{
     prfmsg(QMSIM198,playpt->altid);
     outothr();
     prfmsg(QMSIM199);
     outprf(usrnum);
}

VOID
anyrou(VOID)
{
     prfmsg(QMSIM200,playpt->altid);
     outothr();
     prfmsg(QMSIM201);
     outprf(usrnum);
}

VOID
sicrou(VOID)
{
     prfmsg(QMSIM202,playpt->altid);
     outothr();
     prfmsg(QMSIM203);
     outprf(usrnum);
}

VOID
stmrou(VOID)
{
     prfmsg(QMSIM204,playpt->altid);
     outothr();
     prfmsg(QMSIM205);
     outprf(usrnum);
}

VOID
cryrou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM206,playpt->altid);
          outothr();
          prfmsg(QMSIM207);
          outprf(usrnum);
     }
     else {
          yelrou();
     }
}

VOID
courou(VOID)
{
     prfmsg(QMSIM208,playpt->altid);
     outothr();
     prfmsg(QMSIM209);
     outprf(usrnum);
}

VOID
churou(VOID)
{
     prfmsg(QMSIM210,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM211);
     outprf(usrnum);
}

VOID
wisrou(VOID)
{
     prfmsg(QMSIM212,playpt->altid);
     outothr();
     prfmsg(QMSIM213);
     outprf(usrnum);
}

VOID
humrou(VOID)
{
     prfmsg(QMSIM214,playpt->altid);
     outothr();
     prfmsg(QMSIM215);
     outprf(usrnum);
}

VOID
blkrou(VOID)
{
     prfmsg(QMSIM216,playpt->altid,playpt->hisher);
     outothr();
     prfmsg(QMSIM217);
     outprf(usrnum);
}

VOID
snfrou(VOID)
{
     if (margc == 1) {
          prfmsg(QMSIM218,playpt->altid);
          outothr();
          prfmsg(QMSIM219);
          outprf(usrnum);
     }
     else {
          qmsayrou();
     }
}

VOID
snorou(VOID)
{
     prfmsg(QMSIM220,playpt->altid);
     outothr();
     prfmsg(QMSIM221);
     outprf(usrnum);
}

VOID
helrou(VOID)
{
     if (margc < 2) {
          prfmsg(HELP);
          outprf(usrnum);
     }
     else if (sameas(margv[1],"attack")) {
          prfmsg(ATTHLP);
          outprf(usrnum);
     }
     else if (sameas(margv[1],"commands")) {
          prfmsg(CMDHLP);
          outprf(usrnum);
     }
     else if (sameas(margv[1],"info")) {
          prfmsg(INFHLP);
          outprf(usrnum);
     }
     else if (sameas(margv[1],"player")) {
          prfmsg(PLYHLP);
          outprf(usrnum);
     }
     else if (sameas(margv[1],"spells")) {
          prfmsg(SPLHLP);
          outprf(usrnum);
     }
     else {
          prfmsg(HELP);
          outprf(usrnum);
     }
}

VOID
brfrou(VOID)
{
     playpt->flags|=BRIEF;
     prfmsg(QMSIM222);
     outprf(usrnum);
}

VOID
lonrou(VOID)
{
     playpt->flags&=~BRIEF;
     prfmsg(QMSIM223);
     outprf(usrnum);
}

VOID
hpts(VOID)
{
     prfmsg(QMSIM224,playpt->hits);
     prfmsg(QMSIM225,playpt->maxhit);
     outprf(usrnum);
     prfmsg(QMSIM226,playpt->altid,playpt->hisher);
     outothr();
}


